[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashList.HashOfIndex

Return the hash value of an item by index

## Declaration

Source position: contnrs.pp line 244

`public function TFPHashList.HashOfIndex(`
`Index: Integer`
`):LongWord;`

## Arguments

`Index` |  | Index of item for which to return hash value

## Function result

Hash value of item Index

## Description

HashOfIndex returns the hash value of the item at position Index.

## Errors

If Index is out of the valid range, an exception is raised.

## See also

TFPHashList.NameOfIndex |  | Returns the key name of an item by index
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindIndexOf |  | Return index of named item.
TFPHashList.FindWithHash |  | Find first element with given name and hash value